# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.457   -> 1.457.4.1
#	drivers/usb/storage/scsiglue.c	1.26    -> 1.27   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/05	shaggy@kleikamp.austin.ibm.com	1.437.51.2
# Rework JFS's inode locking
# 
# In order for JFS to be able to quiesce the current activity, while
# blocking new transactions, the locking needed some rework.  New
# transactions are stopped in the functions txBegin or txBeginAnon,
# where the rdwrlock (IREAD_LOCK/IWRITE_LOCK) may be held.  Dirty
# inodes may need to be committed while new transactions are blocked
# here, so another lock is introduced (commit_sem) which is taken after
# txBegin/txBeginAnon is called.  This ensures that the proper
# serialization takes place, without the write_inode method needing to
# grab the rdwrlock.
# 
# In addition, the use of IWRITE_LOCK and IREAD_LOCK has been removed
# from directory inodes.  The serialization done by the VFS using i_sem
# is sufficient to avoid races.
# 
# This patch removes JFS's dependency on down_write_trylock.
# --------------------------------------------
# 02/08/05	shaggy@kleikamp.austin.ibm.com	1.457.3.2
# Merge kleikamp.austin.ibm.com:/home/shaggy/bk/jfs-2.5
# into kleikamp.austin.ibm.com:/home/shaggy/bk/resize-2.5
# --------------------------------------------
# 02/08/05	torvalds@home.transmeta.com	1.464
# Merge master.kernel.org:/home/davem/BK/net-2.5
# into home.transmeta.com:/home/torvalds/v2.5/linux
# --------------------------------------------
# 02/08/05	torvalds@home.transmeta.com	1.465
# Merge http://gkernel.bkbits.net/janitor-2.5
# into home.transmeta.com:/home/torvalds/v2.5/linux
# --------------------------------------------
# 02/08/05	greg@kroah.com	1.457.4.1
# USB storage: split up BUG_ON for easier debugging.
# 
# As requested by Adam Richter.
# --------------------------------------------
#
diff -Nru a/drivers/usb/storage/scsiglue.c b/drivers/usb/storage/scsiglue.c
--- a/drivers/usb/storage/scsiglue.c	Tue Aug  6 22:06:57 2002
+++ b/drivers/usb/storage/scsiglue.c	Tue Aug  6 22:06:57 2002
@@ -147,7 +147,8 @@
 	srb->host_scribble = (unsigned char *)us;
 
 	/* enqueue the command */
-	BUG_ON(atomic_read(&us->sm_state) != US_STATE_IDLE || us->srb != NULL);
+	BUG_ON(atomic_read(&us->sm_state) != US_STATE_IDLE);
+	BUG_ON(us->srb != NULL);
 	srb->scsi_done = done;
 	us->srb = srb;
 
